Subject: bug#75944: closed (Re: bug#75944: restart-emacs does not work on Windows 11)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Feb 2025 10:21:02 +0000

Your bug report

#75944: restart-emacs does not work on Windows 11

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75944: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75944
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75944: restart-emacs does not work on Windows 11
From: Eli Zaretskii <[email-masked]>
To: Jan Jouleodov <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Feb 2025 12:20:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 30 Jan 2025 12:28:50 +0000
> From: Jan Jouleodov <[email-masked]>
> 
> Yes, looks to be a similar issue.
> 
> Running with runemacs.exe does not work.
> Running with emacs.exe *also does not work*.
> Running with emacs-29.1.exe, however, works as expected.
> 
> > On Thursday, January 30th, 2025 at 2:20 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> > See bug#75631. Maybe you have the same or similar problem.

No further comments, so I presume this is indeed the same issue, and
I'm therefore closing this bug.

Subject: restart-emacs does not work on Windows 11
From: Jan Jouleodov <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 30 Jan 2025 12:03:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

restart-emacs is a pretty useful command I use frequently on the WSL version of Emacs. Unfortunately, it does not seem to work for Windows.

I recall reading somewhere that it has something to do with how Windows schedules the restarts, though I seem to recall that restart-emacs was part of a package, and not included with Emacs itself.

Anyways, right now, the command simply closes Emacs but fails to start it up again, and works fine on WSL.